Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Minimum string length: 3
Example:

"27fbdc0b-b295-46ce-93f5-81b2fc08a381"

Response

200 - application/json

Fetch a text moderation by its ID

id
string
required

The id of the text moderation

Example:

"27fbdc0b-b295-46ce-93f5-81b2fc08a381"

isSafe
boolean
required

Whether the text is considered safe

Example:

true

confidence
number
required

Confidence of the safety of the text from 1-100

Example:

90

sentiment
enum<string>
required

Sentiment of the text, either negative, neutral or positive

Available options:
positive,
negative,
neutral
Example:

"positive"

sentimentScore
number
required

Sentiment score from 1-100 (negative, neutral, positive)

Example:

90

riskScores
object
required
topics
string[]
required

General topics the text depicts, lowercase and no punctuation

Example:
nsfwCategories
object[]
required
Example:
summary
object
required
suggestedActions
object
required
filteredContent
string
required

The text with profanity replaced by *.

Example:

"This is a filtered text"

content
string
required

The original text

Example:

"This is the original text"

request
object
required
hash
string
required

SHA-256 hash of the text

Example:

"93a08bd10cd367bf83f12ba6590fcaef2f8deec8a47ce4ce88a15c7dda325ffa"

meta
any | null

The metadata of the request

Example:

"This is the metadata"